import Controller from '@ember/controller';
import { computed } from '@ember/object';
import { isBlank } from '@ember/utils';

export default Controller.extend({
    remaining: computed.filterBy('model', 'completed', false),
	completed: computed.filterBy('model', 'completed'),
	actions: {
		createTodo(e) {
			if (e.keyCode === 13 && !isBlank(e.target.value)) {
                let newEntity = this.store.createRecord('todo',{ title: e.target.value.trim(), completed: false });
                newEntity.save().then(() => { e.target.value = ''; });
			}
		},

		clearCompleted() {
            this.get('completed').forEach((record) => record.destroyRecord());
		}
	}
});
